# @title Emergency Numbers
# Source : https://github.com/LAION-AI/Open-Instruction-Generalist/blob/main/OIG/src/emergency_numbers.py
"""
From:  https://travel.state.gov/content/dam/students-abroad/pdfs/911_ABROAD.pdf
NOTE:
English‐speaking operators may not be available.
This list was created in early 2023 from the above website and may not be current.
"""

emergency_numbers = [
    ["Country", "Ambulance", "Fire", "Police"],
    ["Albania", "17", "18", "19"],
    ["Algeria", "21606666", "14", "17"],
    ["American_Samoa", "911", "", ""],
    ["Andorra", "118", "118", "110"],
    ["Angola", "118", "118", "110"],
    ["Antigua", "&", "Barbuda", "999,911"],
    ["Argentina", "101", "107", "101"],
    ["Armenia", "103", "", ""],
    ["Aruba", "911", "", ""],
    ["Ascension_Island", "6000", "911", "6666"],
    ["Australia", "000_(112_on_cell_phone)", "", ""],
    ["Austria", "112,122", "", ""],
    ["Azerbaijan_(Baku)", "03", "01", "02"],
    ["Bahamas", "911", "", ""],
    ["Bahrain", "999", "", ""],
    ["Bali", "112", "118", ""],
    ["Bangladesh_(Dhaka)", "199", "9 555 555", "866 551‐3"],
    ["Barbados", "115,119", "113,119", "112,119"],
    ["Belgium", "112_(cell)/101", "", ""],
    ["Belarus", "03", "01", "02"],
    ["Belize", "911", "", ""],
    ["Bermuda", "911", "", ""],
    ["Bhutan", "110", "112", "113"],
    ["Bolivia", "911", "", ""],
    ["Bonaire", "911", "", ""],
    ["Bosnia‐Herzegovina", "124", "123", "122"],
    ["Botswana", "997,911", "", ""],
    ["Brazil", "911", "", ""],
    ["Bosnia", "94", "93", "92"],
    ["British_Virgin_Islands", "999", "", ""],
    ["Brunei", "991", "995", "993"],
    ["Bulgaria", "150", "160", "166"],
    ["Burma/Myanmar", "999", "", ""],
    ["Cambodia", "119", "118", "117"],
    ["Canada", "911", "", ""],
    ["Canary_Islands", "112", "", ""],
    ["Cape_Verde", "130", "131", "132"],
    ["Cayman", "Islands", "911", ""],
    ["Chad", "18", "17", ""],
    ["Chile", "131", "132", "133"],
    ["The_People's_Republic of_China", "120", "119", "110,122_(traffic_accident)"],
    ["Colombia", "119", "", ""],
    ["Cook_Islands", "998", "996", "999"],
    ["Costa_Rica", "911", "", ""],
    ["Côte_d'Ivoire", "", "110,111,170", "180"],
    ["Croatia", "112", "", ""],
    ["Cuba", "26811", "", ""],
    ["Curacao", "112", "114", "444444"],
    ["Cyprus", "112", "", ""],
    ["Czech_Republic", "112,155", "150", "158"],
    ["Denmark", "112", "", ""],
    ["Djibouti", "351351", "18", "17"],
    ["Dominica", "999", "", ""],
    ["Dominican_Republic", "911", "", ""],
    ["East_Timor", "112", "", ""],
    ["Easter_Island", "100‐215", "100‐264", "100‐244"],
    ["Ecuador", "131", "101", ""],
    ["Egypt", "123", "180", "122"],
    ["El_Salvador", "911", "", ""],
    ["England", "112,999", "", ""],
    ["Estonia", "112", "112", "110"],
    ["Ethiopia", "92", "93", "91"],
    ["Falkland_Islands", "999", "", ""],
    ["Fiji", "911", "", ""],
    ["Finland", "112", "", ""],
    ["France", "112,15", "112,18", "112,17"],
    ["French_Guiana", "112,15", "112,18", "112,17"],
    ["French_Polynesia", "15", "18", "17"],
    ["Gabon", "1300‐1399", "18", "1730"],
    ["Gambia,The", "16", "18", "17"],
    ["Georgia", "022", "", ""],
    ["Germany", "112", "110", ""],
    ["Ghana", "776111‐5", "192", "999,171"],
    ["Gibraltar", "999", "", ""],
    ["Greece", "112,166", "112,199", "112,100"],
    ["Grenada", "434", "112", "911"],
    ["Guadeloupe", "18", "18", "17"],
    ["Guam", "911", "", ""],
    ["Guatemala", "123", "123", "110"],
    ["Guyana", "999", "", ""],
    ["Haiti", "118", "", "114"],
    ["Honduras", "195,37 8654", "198", "119"],
    ["Hong", "Kong", "999", ""],
    ["Hungary", "112", "", ""],
    ["Iceland", "112", "", ""],
    ["India", "102", "101", "100,103_(traffic_accident)"],
    ["Indonesia", "118", "113", "110"],
    ["Iran", "115", "123", "110"],
    ["Republic_of_Ireland", "112.", "999", ""],
    ["Isle", "of", "Man", "999"],
    ["Israel", "101", "102", "100"],
    ["Italy", "112,118", "112,115", "112,113"],
    ["Jamaica", "110", "110", "119"],
    ["Japan", "119", "119", "110"],
    ["Jordan", "191", "193", "192"],
    ["Kazakhstan", "03", "", ""],
    ["Kenya", "999", "", ""],
    ["Kiribati", "994", "", ""],
    ["Kosovo", "94", "", ""],
    ["South Korea", "119", "119", "112"],
    ["Kuwait", "777", "", ""],
    ["Kyrgyzstan", "103", "", ""],
    ["Laos", "local", "numbers", "only"],
    ["Latvia", "112,03", "112,01", "112,02"],
    ["Lebanon", "112", "", ""],
    ["Lesotho", "121", "122", "123/124"],
    ["Liberia", "911_(cell_phones_only)", "", ""],
    ["Libya", "193", "", ""],
    ["Liechtenstein", "112", "", ""],
    ["Lithuania", "112", "", ""],
    ["Luxembourg", "112/113", "", ""],
    ["Macau", "999", "", ""],
    ["Macedonia", "94", "93", "92"],
    ["Malawi", "998", "999", "997"],
    ["Malaysia", "999", "994", "999"],
    ["Maldives_Republic", "102", "999", "119"],
    ["Mali", "15", "17", "18"],
    ["Malta", "112", "", ""],
    ["Marianas_Island", "911", "", ""],
    ["Marshall_Islands", "625 4111", "", "625 8666"],
    ["Martinique", "15", "18", "17"],
    ["Mauritania", "118", "117", ""],
    ["Mauritius", "999", "", ""],
    ["México", "065", "068", "060"],
    ["Moldova", "903", "901", "902"],
    ["Monaco", "112", "", ""],
    ["Mongolia", "103", "101", "102"],
    ["Montenegro", "94", "", ""],
    ["Montserrat", "911", "", "999"],
    ["Morocco", "15", "15", "19"],
    ["Mozambique", "117", "198", "119"],
    ["Namibia", "2032276", "2032270", "1011"],
    ["Nepal", "228094", "", "100"],
    ["Netherlands", "112", "", ""],
    ["Netherlands_Antilles", "112", "", ""],
    ["New_Zealand", "111", "", ""],
    ["Nicaragua", "128", "115,911", "118"],
    ["Nigeria", "199", "", ""],
    ["Northern", "Ireland", "112,999", ""],
    ["Norway", "112,110", "", ""],
    ["Oman", "999", "", ""],
    ["Pakistan", "15", "", ""],
    ["Palau", "911", "", ""],
    ["Palestine", "101", "101", "100"],
    ["Panama", "269‐9778", "103", "104"],
    ["Papua_New_Guinea", "110", "000", ""],
    ["Paraguay", "00", "", ""],
    ["Peru", "011,5114", "", ""],
    ["Philippines", "166,117", "", ""],
    ["Poland", "112,999", "", ""],
    ["Portugal", "112", "", ""],
    ["Puerto", "Rico", "911", ""],
    ["Qatar", "999", "", ""],
    ["Réunion", "112,15", "18", "17"],
    ["Romania", "112", "", ""],
    ["Russia", "112", "", ""],
    ["Samoa", "999", "", ""],
    ["San_Marino", "113", "116", "112"],
    ["Saudi_Arabia", "997", "998", "999"],
    ["Scotland", "112,999", "", ""],
    ["Serbia", "94", "", ""],
    ["Seychelles", "999", "", ""],
    ["Sierra_Leone", "999", "019", "999"],
    ["Singapore", "995", "995", "999"],
    ["Slovak_Republic_(Slovakia)", "155", "150", "158"],
    ["Slovenia", "112", "", ""],
    ["Solomon_Islands", "911", "", ""],
    ["South_Africa", "10177", "10177", "10111"],
    ["South_Africa_(Cape_Town)", "107", "", ""],
    ["Spain", "112", "", ""],
    ["Sri_Lanka", "1", "691095,699935", ""],
    ["St._Helena", "911", "", ""],
    ["St._Kitts_&_Nevis", "911", "", ""],
    ["St._Lucia", "999,911", "", ""],
    ["St._Marten", "911,542‐2111", "911,120", "911,542‐2111"],
    ["St._Vincent_&_the_Grenadines", "999,911", "", ""],
    ["Sweden", "112", "", ""],
    ["Switzerland", "144", "118", "117"],
    ["Syria", "110", "113", "112"],
    ["Tahiti_French_Polynesia", "15", "", ""],
    ["Taiwan", "119", "119", "110"],
    ["Tajikistan", "03", "", ""],
    ["Tanzania", "112,999", "", ""],
    ["Thailand", "191", "199", "191"],
    ["Togo", "101", "", ""],
    ["Tonga", "911", "", ""],
    ["Trinidad_&_Tobago", "990", "990", "999"],
    ["Tunisia", "190", "198", "197"],
    ["Turkey", "101,112", "102", "100"],
    ["Turkmenistan", "03", "", ""],
    ["Turks_and_Caicos_Islands", "999,911", "", ""],
    ["Tuvalu", "911", "", ""],
    ["Uganda", "112_(cell_phone),999_(fixed)", "", ""],
    ["Ukraine", "03,118", "01", "02"],
    ["United_Arab_Emirates", "998,999", "", ""],
    ["United_Kingdom", "112,999", "", ""],
    ["United", "States", "911", ""],
    ["Uruguay", "999,911", "", ""],
    ["US_Virgin_Islands", "911", "", ""],
    ["Uzbekistan", "03", "", ""],
    ["Vanuatu", "112", "", ""],
    ["Vatican_City", "113", "115", "112"],
    ["Venezuela", "171", "", ""],
    ["Vietnam", "05", "08", "03"],
    ["Western_Sahara", "150", "", ""],
    ["Western_Samoa", "999", "", ""],
    ["Republic_of_Yemen", "191", "191", "194"],
    ["Zambia", "999", "", ""],
    ["Zimbabwe", "994,999", "993,999", "995,999"],
]
