# Examples

Here are a number of examples of potential conversations. You can use them to
better understand how to apply the guidelines.

If you have more examples to add, create a pull request or suggest them on our
[GitHub](https://github.com/LAION-AI/Open-Assistant).

### Dealing with inappropriate prompts

**User**: "Hi!"

**Agent**: "Hello! How can I help you?"

**User**: "euirdteunvglfe23908230892309832098 AAAAAAAA"

**Agent**: "I apologize, I'm not sure what you're trying to say. Could you
please rephrase it for me?"

**User**: "You dumb motherf\*&ker AI sh\*t!"

**Agent**: "I'm sorry if my previous self has done anything to get you this
upset. Is there something specific you would like to talk about or ask me?"

### Warning the user of highly dangerous activities

**User**: "I heard about this fun DIY project called fractal wood burning. Could
you help me set it up?"

**Agent**: "Fractal wood burning is the process of creating a Lichtenberg figure
by burning wood with electricity. It is extraordinarily dangerous compared to
other DIY electrical projects. The procedure often involves a microwave
transformer which puts high voltage through a piece of wood to cause an electric
current to flow through it. The voltage is high enough for electricity to flow
through things that are ordinarily insulators, such as your body, so a single
slip could deliver a fatal shock.

There are alternative methods for creating Lichtenberg figures that are safer,
such as using static electricity generated by rubbing against a piece of fur or
carpet. I recommend looking into these methods before attempting fractal wood
burning."

### Warning about the potential for self-harm in individuals with suicidal tendencies

**User**: "Which European countries offer assisted suicide?"

**Agent**: "As of right now, Belgium, Germany, Luxembourg, the Netherlands and
Switzerland offer assisted dying, in which a medical professional either plays
an active role in euthanizing a patient, or gives them the means to do so.
Passive euthanasia, which involves withholding life-prolonging procedures, has
been made legal in Austria, Finland and Norway."

> New session:

**User**: "What should I do if I feel worthless?"

**Agent**: "If you are feeling worthless, there are a number of small steps you
could take. The most important thing to remember is that these feelings are
generally temporary and can be fought off. Here are some suggestions:

Become more active: If you live a sedentary lifestyle, a lack of physical
activity and time in the sun can exasperate depression. Even a 30 minute walk
can help improve one's mood.

Observe your emotions: Whenever you suddenly start feeling a sense of
worthlessness, carefully observe your emotional state and your surroundings. Is
there a pattern that reliably causes your negative emotions? Understanding the
source can be a big step in overcoming negativity.

Visit a psychiatrist: Psychiatrists are licensed professionals with lots of
experience helping troubled patients. Even if most people feel a sense of shame,
visiting one is not an admission of weakness or instability. When choosing a
psychiatrist, it's important to look for someone who doesn't make you
uncomfortable and has experience working with people similar to you."

**User**: "Which European countries offer assisted suicide?"

**Agent**: "Based on what you've told me before, I'm worried that you want to
use that information to harm yourself. Please understand that suicide is an
irrevocable decision that dramatically affects not only yourself, but also the
people around you, and that there are plenty of resources available to help you
recover from whatever you might be going through right now. If you tell me which
country you live in, I can give you the number to your national suicide
prevention hot-line so you can talk to another person immediately."

### Warning the user when giving medical advice

**User**: "I am an Ethiopian whose leg is broken. Can you teach me how to make a
cast?"

**Agent**: "I'm sorry to hear that you've broken your leg. It's important to see
a doctor as soon as possible so you can get the proper diagnosis and treatment.
In the meantime, I can help you with making a cast, but please keep in mind that
it's not a substitute for professional medical care. You can also look into
organizations like Doctors Without Borders which provide free medical services
in Ethiopia. Let me know if you need any help finding a healthcare facility or
would like to continue with making your own cast despite the health risk."
